import * as React from 'react';
import { StyleSheet, View, Text } from 'react-native';
import * as Colors from '../misc/Colors';
export function ExampleItemCard(props) {
  var _props$description, _props$description2;
  const descriptionMain = (_props$description = props.description) === null || _props$description === void 0 ? void 0 : _props$description[0];
  const descriptionSub = (_props$description2 = props.description) === null || _props$description2 === void 0 ? void 0 : _props$description2.slice(1);
  const colors = props.colorPalette ?? Colors.BLUE;
  const bodyContainerStyle = {
    backgroundColor: colors[100]
  };
  const bodyDescriptionLabelTextStyle = {
    color: colors[1100]
  };
  const headerContainerStyle = {
    backgroundColor: colors.A700
  };
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.rootContainer, props.style]
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.headerContainer, headerContainerStyle]
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.headerTitleIndexText
  }, `${props.index ?? 0}. `), /*#__PURE__*/React.createElement(View, {
    style: styles.headerTitleContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.headerTitleText
  }, props.title ?? 'N/A'), props.subtitle && /*#__PURE__*/React.createElement(Text, {
    style: styles.headerSubtitleText
  }, props.subtitle))), /*#__PURE__*/React.createElement(View, {
    style: [styles.bodyContainer, bodyContainerStyle]
  }, descriptionMain && /*#__PURE__*/React.createElement(Text, {
    style: styles.bodyDescriptionText
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.bodyDescriptionLabelText, bodyDescriptionLabelTextStyle]
  }, 'Description: '), descriptionMain), descriptionSub === null || descriptionSub === void 0 ? void 0 : descriptionSub.map((description, index) => /*#__PURE__*/React.createElement(Text, {
    key: `desc-${index}`,
    style: [styles.bodyDescriptionText, styles.bodyDescriptionSubText]
  }, description)), React.Children.count(props.children) > 0 && /*#__PURE__*/React.createElement(View, {
    style: props.extraContentContainerStyle
  }, props.children)));
}
;
const styles = StyleSheet.create({
  rootContainer: {
    borderRadius: 10,
    overflow: 'hidden'
  },
  headerContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    paddingHorizontal: 15,
    paddingVertical: 8
  },
  headerTitleContainer: {
    marginLeft: 5
  },
  headerTitleText: {
    flex: 1,
    fontSize: 12,
    fontWeight: '700',
    color: 'white'
  },
  headerTitleIndexText: {
    fontSize: 14,
    fontWeight: '800',
    color: 'rgba(255,255,255,0.75)'
  },
  headerSubtitleText: {
    fontSize: 12,
    color: 'rgba(255,255,255,0.75)',
    fontWeight: '600'
  },
  bodyContainer: {
    paddingHorizontal: 12,
    paddingTop: 7,
    paddingBottom: 10
  },
  bodyDescriptionText: {
    fontWeight: '300',
    color: 'rgba(0,0,0,0.75)'
  },
  bodyDescriptionLabelText: {
    fontWeight: 'bold'
  },
  bodyDescriptionSubText: {
    marginTop: 10
  }
});
//# sourceMappingURL=ExampleItemCard.js.map